## vtk6 6.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5 FATAL_ERROR)

project(VTK)

# Objective-C++ compile flags, future CMake versions might make this obsolete
IF(APPLE)
  # Being a library, VTK may be linked in either GC (garbage collected)
  # processes or non-GC processes.  Default to "GC supported" so that both
  # GC and MRR (manual reference counting) are supported.
  SET(VTK_OBJCXX_FLAGS_DEFAULT "-fobjc-gc")
  SET(VTK_REQUIRED_OBJCXX_FLAGS ${VTK_OBJCXX_FLAGS_DEFAULT} CACHE STRING "Extra flags for Objective-C++ compilation")
  MARK_AS_ADVANCED(VTK_REQUIRED_OBJCXX_FLAGS)
ENDIF(APPLE)

set(VTK_CMAKE_DIR "${VTK_SOURCE_DIR}/CMake")
set(CMAKE_MODULE_PATH ${VTK_CMAKE_DIR} ${CMAKE_MODULE_PATH})

include(vtkModuleMacros)

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified.")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()

# Test output directory.
set(VTK_TEST_OUTPUT_DIR "${VTK_BINARY_DIR}/Testing/Temporary")

# Set up our directory structure for output libraries and binaries
if(NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/bin")
endif()
if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
  if(UNIX)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib")
  else()
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/bin")
  endif()
endif()
if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib")
endif()
mark_as_advanced(CMAKE_RUNTIME_OUTPUT_DIRECTORY
  CMAKE_LIBRARY_OUTPUT_DIRECTORY
  CMAKE_ARCHIVE_OUTPUT_DIRECTORY
  )

# Choose static or shared libraries.
option(BUILD_SHARED_LIBS "Build VTK with shared libraries." ON)
set(VTK_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})

#-----------------------------------------------------------------------------
include(vtkVersion)
set(VTK_VERSION
    "${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}.${VTK_BUILD_VERSION}")

# VTK installation structure
if(NOT VTK_INSTALL_RUNTIME_DIR)
  set(VTK_INSTALL_RUNTIME_DIR bin)
endif()
if(NOT VTK_INSTALL_LIBRARY_DIR)
  set(VTK_INSTALL_LIBRARY_DIR lib)
endif()
if(NOT VTK_INSTALL_ARCHIVE_DIR)
  set(VTK_INSTALL_ARCHIVE_DIR lib)
endif()
if(NOT VTK_INSTALL_INCLUDE_DIR)
  set(VTK_INSTALL_INCLUDE_DIR include/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
endif()
if(NOT VTK_INSTALL_DATA_DIR)
  set(VTK_INSTALL_DATA_DIR share/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
endif()
if(NOT VTK_INSTALL_DOC_DIR)
  set(VTK_INSTALL_DOC_DIR share/doc/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
endif()
if(NOT VTK_INSTALL_PACKAGE_DIR)
  set(VTK_INSTALL_PACKAGE_DIR "lib/cmake/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}")
endif()
if(NOT VTK_INSTALL_DOXYGEN_DIR)
  set(VTK_INSTALL_DOXYGEN_DIR ${VTK_INSTALL_DOC_DIR}/doxygen)
endif()
if(NOT VTK_INSTALL_TCL_DIR)
  # tclsh searches <prefix>/lib/tcltk and its subdirectories for pkgIndex.tcl files
  set(VTK_INSTALL_TCL_DIR lib/tcltk/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
endif()
if(NOT VTK_INSTALL_EXPORT_NAME)
  set(VTK_INSTALL_EXPORT_NAME VTKTargets)
endif()
if(NOT VTK_MODULES_DIR)
  set(VTK_MODULES_DIR "${VTK_BINARY_DIR}/${VTK_INSTALL_PACKAGE_DIR}/Modules")
endif()

if (CMAKE_CROSSCOMPILING AND NOT COMPILE_TOOLS_IMPORTED)
  # if CMAKE_CROSSCOMPILING is true, we need to import build-tools targets.
  find_package(VTKCompileTools REQUIRED)
  set (COMPILE_TOOLS_IMPORTED TRUE)
endif()

# FIXME: These will be removed, used by vtkzlib etc
set(VTK_INSTALL_BIN_DIR_CM24 ${VTK_INSTALL_RUNTIME_DIR})
set(VTK_INSTALL_LIB_DIR_CM24 ${VTK_INSTALL_LIBRARY_DIR})
set(VTK_INSTALL_PACKAGE_DIR_CM24 ${VTK_INSTALL_PACKAGE_DIR})
set(VTK_INSTALL_INCLUDE_DIR_CM24 ${VTK_INSTALL_INCLUDE_DIR})
set(VTK_INSTALL_DOXYGEN_DIR_CM24 ${VTK_INSTALL_DATA_DIR}/doxygen)

#-----------------------------------------------------------------------------
# The third party macros are still used in one or two third party builds.
include(vtkThirdParty)

#-----------------------------------------------------------------------------
include(vtkCompilerExtras)
include(vtkBuildPath)

#-----------------------------------------------------------------------------
include(CTest)

#-----------------------------------------------------------------------------
if(APPLE)
  mark_as_advanced(
    CMAKE_OSX_ARCHITECTURES
    CMAKE_OSX_DEPLOYMENT_TARGET
    CMAKE_OSX_SYSROOT
    )
endif()

#-----------------------------------------------------------------------------
# Does VTK require support for 64 bit file systems
INCLUDE(CheckCXXSourceRuns)
FILE(READ "${VTK_CMAKE_DIR}/vtkRequireLargeFilesSupport.cxx"
  VTK_REQUIRE_LARGE_FILE_SUPPORT_FILE)
CHECK_CXX_SOURCE_RUNS("${VTK_REQUIRE_LARGE_FILE_SUPPORT_FILE}"
  CMAKE_REQUIRE_LARGE_FILE_SUPPORT "Support for 64 bit file systems")
SET(VTK_REQUIRE_LARGE_FILE_SUPPORT ${CMAKE_REQUIRE_LARGE_FILE_SUPPORT})

#-----------------------------------------------------------------------------
# Does the const_reverse_iterator have the comparison operators? Before GCC
# 4.1 they were not present.
include(CheckCXXSourceCompiles)
set(VTK_CONST_REVERSE_ITERATOR_COMPARISON_FILE
"#include <vector>
int main()
{
  std::vector<int> test;
  std::vector<int>::const_reverse_iterator it = test.rbegin();
  it != test.rend();
  return 0;
}")
check_cxx_source_compiles("${VTK_CONST_REVERSE_ITERATOR_COMPARISON_FILE}"
  VTK_CONST_REVERSE_ITERATOR_COMPARISON)

#-----------------------------------------------------------------------------
# Provide compatibility options.
option(VTK_LEGACY_REMOVE "Remove all legacy code completely." OFF)
option(VTK_LEGACY_SILENT "Silence all legacy code messages." OFF)
mark_as_advanced(VTK_LEGACY_REMOVE VTK_LEGACY_SILENT)

#-----------------------------------------------------------------------------
# VTK requires special compiler flags on some platforms.
include(vtkDetermineCompilerFlags)

# Tell VTK source files they are being built inside VTK.
add_definitions(-DVTK_IN_VTK)

#-----------------------------------------------------------------------------
# Configure the default VTK_DATA_ROOT for the location of VTKData.  To get
# the VTKData repository from git, issue the following command:
#
# git clone git://vtk.org/VTKData.git
#
# To see the web hosted repository, visit http://vtk.org/VTKData.git
FIND_PATH(VTK_DATA_ROOT VTKData.readme
  ${VTK_SOURCE_DIR}/VTKData
  ${VTK_SOURCE_DIR}/../VTKData
  ${VTK_SOURCE_DIR}/../../VTKData
  $ENV{VTK_DATA_ROOT}
  DOC "The repository for data used for testing.  To obtain from git: \"git clone git://vtk.org/VTKData.git\""
  )
mark_as_advanced(VTK_DATA_ROOT)

#-----------------------------------------------------------------------------
# Configure the default VTK_LARGE_DATA_ROOT for the location of VTKLargeData.
# To get the VTKLargeData repository from git, issue the following command:
#
# git clone git://vtk.org/VTKLargeData.git
#
# To see the web hosted repository, visit http://vtk.org/VTKLargeData.git
FIND_PATH(VTK_LARGE_DATA_ROOT VTKLargeData.readme
  ${VTK_SOURCE_DIR}/VTKLargeData
  ${VTK_SOURCE_DIR}/../VTKLargeData
  ${VTK_SOURCE_DIR}/../../VTKLargeData
  $ENV{VTK_LARGE_DATA_ROOT}
  DOC "The repository for large data used for testing.  To obtain from git: \"git clone git://vtk.org/VTKLargeData.git\""
  )
mark_as_advanced(VTK_LARGE_DATA_ROOT)

#-----------------------------------------------------------------------------
# Platform configuration tests.
include(TestBigEndian)
TEST_BIG_ENDIAN(CMAKE_WORDS_BIGENDIAN)

include(FindThreads)
set(VTK_USE_WIN32_THREADS 0)
set(VTK_USE_PTHREADS 0)
set(VTK_HP_PTHREADS 0)
set(VTK_USE_SPROC 0)
if(CMAKE_USE_WIN32_THREADS_INIT)
  set(VTK_USE_WIN32_THREADS 1)
  set(CMAKE_THREAD_LIBS_INIT "")
elseif(CMAKE_USE_PTHREADS_INIT)
  set(VTK_USE_PTHREADS 1)
  if(CMAKE_HP_PTHREADS_INIT)
    set(VTK_HP_PTHREADS 1)
  endif()
elseif(CMAKE_USE_SPROC_INIT)
  set(VTK_USE_SPROC 1)
endif()
set(CMAKE_THREAD_LIBS "${CMAKE_THREAD_LIBS_INIT}" CACHE STRING "Thread library used.")
mark_as_advanced(CMAKE_THREAD_LIBS)
set(VTK_MAX_THREADS "64" CACHE STRING
  "Max number of threads vktMultiThreader will allocate.")
mark_as_advanced(VTK_MAX_THREADS)

include(TestForANSIStreamHeaders)
include(TestForSTDNamespace)
include(TestForANSIForScope)
include(CheckTypeSize)

# Simulate old CMakeBackwardCompatibilityCXX test.
include(TestForSSTREAM)

# Tests for various integer, bool and float types
include(vtkTestTypes)

# Socket tests etc.
#INCLUDE(Parallel/VTKParallelCMakeTests.cmake)

# Check for full template specialization support by compiler.
include(vtkTestFullSpecialization)

# Check for explicit template instantiation support by compiler.
include(vtkTestExplicitInstantiation)

# Test for atomics and other compiler intrinsics
include(vtkTestBuiltins)

#-----------------------------------------------------------------------------

# Check the severity of EOF bugs in the streams library.
# this must be after the test for the long types
INCLUDE(vtkTestStreamsLibrary)

#-----------------------------------------------------------------------------
# Dispatch the build into the proper subdirectories.
SET(VTK_HAS_EXODUS 1)

#-----------------------------------------------------------------------------
# Provide a few configuration options.
OPTION(BUILD_EXAMPLES "Build VTK examples." OFF)

#-----------------------------------------------------------------------------
# Configure files with settings for use by the build.

# Include the sockets test.
# FIXME: The test should be moved and rewritten.
include(VTKParallelCMakeTests)

# Add the option for build the Python wrapping to VTK.
option(VTK_WRAP_PYTHON "Should VTK Python wrapping be built?" OFF)

# Add the option for build the Python wrapping to VTK.
option(VTK_WRAP_JAVA "Should VTK Java wrapping be built?" OFF)

# FIXME: This variable should not be necessary once we are done
set(VTK_IGNORE_BTX ON CACHE INTERNAL "VTK modular always ignores BTX")

# Force reset of hints file location in cache if it was moved
if(VTK_WRAP_HINTS)
  if(NOT EXISTS ${VTK_WRAP_HINTS})
    set(VTK_WRAP_HINTS "VTK_WRAP_HINTS-NOTFOUND")
  endif()
endif()

find_file(VTK_WRAP_HINTS hints ${VTK_SOURCE_DIR}/Wrapping/Tools
  NO_CMAKE_FIND_ROOT_PATH)
mark_as_advanced(VTK_WRAP_HINTS)

if(BUILD_TESTING OR VTK_WRAP_PYTHON)
  # Need PYTHON_EXECUTABLE for HeaderTesting or python wrapping
  find_package(PythonInterp QUIET)
  mark_as_advanced(PYTHON_EXECUTABLE)
endif()

if(VTK_WRAP_PYTHON)
  set(VTK_WRAP_PYTHON_EXE vtkWrapPython)
  set(VTK_WRAP_PYTHON_INIT_EXE vtkWrapPythonInit)
  set(VTK_PYTHON_EXE vtkpython)
  # Force the WrappingPythonCore module to on if wrapping is on
  set(Module_vtkWrappingPythonCore ON CACHE BOOL "Core Python wrapping library"
    FORCE)
else()
  # if wrapping is not on then force WrappingPythonCore module to be off
  set(Module_vtkWrappingPythonCore OFF CACHE BOOL "Core Python wrapping library"
    FORCE)
endif()

if(VTK_WRAP_JAVA)
  set(VTK_WRAP_JAVA3_INIT_DIR "${VTK_SOURCE_DIR}/Wrapping/Java")
  # Wrapping executables.
  set(VTK_WRAP_JAVA_EXE  vtkWrapJava)
  set(VTK_PARSE_JAVA_EXE vtkParseJava)
  set(Module_vtkWrappingJava ON CACHE BOOL "Core Java wrapping library"
    FORCE)

  # Java package location.
  set(VTK_JAVA_JAR ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/vtk.jar)
  set(VTK_JAVA_HOME ${VTK_BINARY_DIR}/java/vtk)
  file(MAKE_DIRECTORY ${VTK_JAVA_HOME})
else()
  set(Module_vtkWrappingJava OFF CACHE BOOL "Core Java wrapping library"
    FORCE)
endif()

# Now for Tcl wrapping.
option(VTK_WRAP_TCL "Should VTK Tcl wrapping be built?" OFF)
if(VTK_WRAP_TCL)
  set(VTK_WRAP_TCL_EXE vtkWrapTcl)
  set(VTK_WRAP_TCL_INIT_EXE vtkWrapTclInit)
  set(VTK_TCL_EXE vtk)
  # Tcl package location.
  set(VTK_TCL_HOME ${VTK_BINARY_DIR}/Wrapping/Tcl)
  # Force the WrappingTcl module to on if wrapping is on

=== Common/Color/CMakeLists.txt ===
set(Module_SRCS
  vtkColorSeries.cxx
  vtkNamedColors.cxx
)

#set_source_files_properties(
#  ABSTRACT
#  WRAP_EXCLUDE
#  PROPERTIES WRAP_SPECIAL 1
#)

vtk_module_library(vtkCommonColor ${Module_SRCS})

=== Common/ExecutionModel/CMakeLists.txt ===
SET(Module_SRCS
  vtkAlgorithm.cxx
  vtkAlgorithmOutput.cxx
  vtkAnnotationLayersAlgorithm.cxx
  vtkArrayDataAlgorithm.cxx
  vtkCachedStreamingDemandDrivenPipeline.cxx
  vtkCastToConcrete.cxx
  vtkCompositeDataPipeline.cxx
  vtkCompositeDataSetAlgorithm.cxx
  vtkComputingResources.cxx
  vtkDataObjectAlgorithm.cxx
  vtkDataSetAlgorithm.cxx
  vtkDemandDrivenPipeline.cxx
  vtkDirectedGraphAlgorithm.cxx
  vtkExecutionScheduler.cxx
  vtkExecutionSchedulerManager.cxx
  vtkExecutiveCollection.cxx
  vtkExecutive.cxx
  vtkExtentSplitter.cxx
  vtkFilteringInformationKeyManager.cxx
  vtkGraphAlgorithm.cxx
  vtkHierarchicalBoxDataSetAlgorithm.cxx
  vtkHyperOctreeAlgorithm.cxx
  vtkHyperTreeGridAlgorithm.cxx
  vtkImageAlgorithm.cxx
  vtkImageInPlaceFilter.cxx
  vtkImageProgressIterator.cxx
  vtkImageToStructuredGrid.cxx
  vtkImageToStructuredPoints.cxx
  vtkInformationExecutivePortKey.cxx
  vtkInformationExecutivePortVectorKey.cxx
  vtkMultiBlockDataSetAlgorithm.cxx
  vtkMultiTimeStepAlgorithm.cxx
  vtkOnePieceExtentTranslator.cxx
  vtkPassInputTypeAlgorithm.cxx
  vtkPiecewiseFunctionAlgorithm.cxx
  vtkPiecewiseFunctionShiftScale.cxx
  vtkPointSetAlgorithm.cxx
  vtkPolyDataAlgorithm.cxx
  vtkRectilinearGridAlgorithm.cxx
  vtkScalarTree.cxx
  vtkSimpleImageToImageFilter.cxx
  vtkSimpleScalarTree.cxx
  vtkStreamingDemandDrivenPipeline.cxx
  vtkStructuredGridAlgorithm.cxx
  vtkTableAlgorithm.cxx
  vtkTableExtentTranslator.cxx
  vtkThreadedImageAlgorithm.cxx
  vtkThreadedStreamingPipeline.cxx
  vtkTreeAlgorithm.cxx
  vtkTrivialProducer.cxx
  vtkUndirectedGraphAlgorithm.cxx
  vtkUnstructuredGridAlgorithm.cxx
  vtkSelectionAlgorithm.cxx
  vtkExtentRCBPartitioner.cxx
  vtkUniformGridPartitioner.cxx
  # New AMR classes
  vtkUniformGridAMRAlgorithm.cxx
  vtkOverlappingAMRAlgorithm.cxx
  vtkNonOverlappingAMRAlgorithm.cxx
  )

set_source_files_properties(
  vtkExecutive
  vtkHyperOctreeAlgorithm
  vtkHyperTreeGridAlgorithm
  vtkImageAlgorithm
  vtkImageInPlaceFilter
  vtkInformationExecutivePortKey
  vtkInformationExecutivePortVectorKey
  vtkScalarTree
  vtkSimpleImageToImageFilter
  vtkThreadedImageAlgorithm
  ABSTRACT
  )

set_source_files_properties(
  vtkExecutionSchedulerManager
  vtkFilteringInformationKeyManager
  vtkImageProgressIterator
  WRAP_EXCLUDE
  )

vtk_module_library(vtkCommonExecutionModel ${Module_SRCS})

=== Common/Misc/CMakeLists.txt ===
set(Module_SRCS
  vtkContourValues.cxx
  vtkErrorCode.cxx
  vtkFunctionParser.cxx
  vtkHeap.cxx
  vtkPolygonBuilder.cxx
  )

set_source_files_properties(
  vtkErrorCode.cxx
  vtkPolygonBuilder
  WRAP_EXCLUDE
  )

vtk_module_library(vtkCommonMisc ${Module_SRCS})

=== Filters/Core/CMakeLists.txt ===
set(Module_SRCS
  vtkAppendFilter.cxx
  vtkAppendPolyData.cxx
  vtkAppendSelection.cxx
  vtkArrayCalculator.cxx
  vtkAssignAttribute.cxx
  vtkAttributeDataToFieldDataFilter.cxx
  vtkCellDataToPointData.cxx
  vtkCleanPolyData.cxx
  vtkClipPolyData.cxx
  vtkCompositeDataProbeFilter.cxx
  vtkConnectivityFilter.cxx
  vtkContourFilter.cxx
  vtkContourGrid.cxx
  vtkContourHelper.cxx
  vtkDataObjectGenerator.cxx
  vtkDataObjectToDataSetFilter.cxx
  vtkDataSetEdgeSubdivisionCriterion.cxx
  vtkDataSetToDataObjectFilter.cxx
  vtkDecimatePolylineFilter.cxx
  vtkDecimatePro.cxx
  vtkDelaunay2D.cxx
  vtkDelaunay3D.cxx
  vtkElevationFilter.cxx
  vtkExecutionTimer.cxx
  vtkFeatureEdges.cxx
  vtkFieldDataToAttributeDataFilter.cxx
  vtkGlyph2D.cxx
  vtkGlyph3D.cxx
  vtkHedgeHog.cxx
  vtkHull.cxx
  vtkIdFilter.cxx
  vtkMarchingCubes.cxx
  vtkMarchingSquares.cxx
  vtkMaskFields.cxx
  vtkMaskPoints.cxx
  vtkMaskPolyData.cxx
  vtkMassProperties.cxx
  vtkMergeDataObjectFilter.cxx
  vtkMergeFields.cxx
  vtkMergeFilter.cxx
  vtkPointDataToCellData.cxx
  vtkPolyDataConnectivityFilter.cxx
  vtkPolyDataNormals.cxx
  vtkProbeFilter.cxx
  vtkQuadricClustering.cxx
  vtkQuadricDecimation.cxx
  vtkRearrangeFields.cxx
  vtkReverseSense.cxx
  vtkSimpleElevationFilter.cxx
  vtkSmoothPolyDataFilter.cxx
  vtkStripper.cxx
  vtkStructuredGridOutlineFilter.cxx
  vtkSynchronizedTemplates2D.cxx
  vtkSynchronizedTemplates3D.cxx
  vtkSynchronizedTemplatesCutter3D.cxx
  vtkTensorGlyph.cxx
  vtkThreshold.cxx
  vtkThresholdPoints.cxx
  vtkTriangleFilter.cxx
  vtkTubeFilter.cxx
  vtkVectorDot.cxx
  vtkVectorNorm.cxx
  vtkWindowedSincPolyDataFilter.cxx

  vtkCutter.cxx
  vtkCompositeCutter.cxx
  vtkGridSynchronizedTemplates3D.cxx
  vtkRectilinearSynchronizedTemplates.cxx
  vtkEdgeSubdivisionCriterion.cxx
  vtkStreamingTessellator.cxx
  vtkImplicitPolyDataDistance.cxx
  vtkStreamerBase.cxx
  vtkCenterOfMass.cxx

  vtkGhostArray.cxx
  vtkImageAppend.cxx
  vtkAppendCompositeDataLeaves.cxx
  )

set_source_files_properties(
  vtkEdgeSubdivisionCriterion
  vtkStreamerBase
  ABSTRACT
  )

set_source_files_properties(
  vtkContourHelper
  WRAP_EXCLUDE
  )

vtk_module_library(vtkFiltersCore ${Module_SRCS})

=== Filters/Extraction/CMakeLists.txt ===
set(Module_SRCS
  vtkConvertSelection.cxx
  vtkExtractArraysOverTime.cxx
  vtkExtractBlock.cxx
  vtkExtractCells.cxx
  vtkExtractDataOverTime.cxx
  vtkExtractDataSets.cxx
  vtkExtractEdges.cxx
  vtkExtractGeometry.cxx
  vtkExtractGrid.cxx
  vtkExtractLevel.cxx
  vtkExtractPolyDataGeometry.cxx
  vtkExtractRectilinearGrid.cxx
  vtkExtractSelectedBlock.cxx
  vtkExtractSelectedFrustum.cxx
  vtkExtractSelectedIds.cxx
  vtkExtractSelectedLocations.cxx
  vtkExtractSelectedPolyDataIds.cxx
  vtkExtractSelectedRows.cxx
  vtkExtractSelectedThresholds.cxx
  vtkExtractSelectionBase.cxx
  vtkExtractSelection.cxx
  vtkExtractTemporalFieldData.cxx
  vtkExtractTensorComponents.cxx
  vtkExtractUnstructuredGrid.cxx
  vtkExtractVectorComponents.cxx

  vtkProbeSelectedLocations.cxx
  vtkHierarchicalDataExtractDataSets.cxx
  vtkHierarchicalDataExtractLevel.cxx
  )

set_source_files_properties(
  vtkExtractSelectionBase
  ABSTRACT
  )

vtk_module_library(vtkFiltersExtraction ${Module_SRCS})

=== Filters/General/CMakeLists.txt ===
set(Module_SRCS
  vtkAnnotationLink.cxx
  vtkAppendPoints.cxx
  vtkApproximatingSubdivisionFilter.cxx
  vtkAreaContourSpectrumFilter.cxx
  vtkAxes.cxx
  vtkBlankStructuredGrid.cxx
  vtkBlankStructuredGridWithImage.cxx
  vtkBlockIdScalars.cxx
  vtkBoxClipDataSet.cxx
  vtkBrownianPoints.cxx
  vtkCellCenters.cxx
  vtkCellDerivatives.cxx
  vtkClipClosedSurface.cxx
  vtkClipConvexPolyData.cxx
  vtkClipDataSet.cxx
  vtkClipVolume.cxx
  vtkCoincidentPoints.cxx
  vtkContourTriangulator.cxx
  vtkCursor2D.cxx
  vtkCursor3D.cxx
  vtkCurvatures.cxx
  vtkDataSetGradient.cxx
  vtkDataSetGradientPrecompute.cxx
  vtkDataSetTriangleFilter.cxx
  vtkDeformPointSet.cxx
  vtkDensifyPolyData.cxx
  vtkDicer.cxx
  vtkDiscreteMarchingCubes.cxx
  vtkEdgePoints.cxx
  vtkGradientFilter.cxx
  vtkGraphLayoutFilter.cxx
  vtkGraphToPoints.cxx
  vtkHierarchicalDataLevelFilter.cxx
  vtkHyperStreamline.cxx
  vtkIconGlyphFilter.cxx
  vtkImageMarchingCubes.cxx
  vtkInterpolateDataSetAttributes.cxx
  vtkInterpolatingSubdivisionFilter.cxx
  vtkLevelIdScalars.cxx
  vtkLinkEdgels.cxx
  vtkMergeCells.cxx
  vtkMultiBlockDataGroupFilter.cxx
  vtkMultiBlockMergeFilter.cxx
  vtkMultiThreshold.cxx
  vtkOBBDicer.cxx
  vtkOBBTree.cxx
  vtkPassThrough.cxx
  vtkPolyDataStreamer.cxx
  vtkPolyDataToReebGraphFilter.cxx
  vtkProbePolyhedron.cxx
  vtkQuadraturePointInterpolator.cxx
  vtkQuadraturePointsGenerator.cxx
  vtkQuadratureSchemeDictionaryGenerator.cxx
  vtkQuantizePolyDataPoints.cxx
  vtkRandomAttributeGenerator.cxx
  vtkRectilinearGridClip.cxx
  vtkRectilinearGridToTetrahedra.cxx
  vtkRecursiveDividingCubes.cxx
  vtkReflectionFilter.cxx
  vtkRotationFilter.cxx
  vtkSCurveSpline.cxx
  vtkShrinkFilter.cxx
  vtkShrinkPolyData.cxx
  vtkSpatialRepresentationFilter.cxx
  vtkSplineFilter.cxx
  vtkSplitField.cxx
  vtkStructuredGridClip.cxx
  vtkSubPixelPositionEdgels.cxx
  vtkTableBasedClipDataSet.cxx
  vtkTableToPolyData.cxx
  vtkTableToStructuredGrid.cxx
  vtkTemporalPathLineFilter.cxx
  vtkTemporalStatistics.cxx
  vtkTessellatorFilter.cxx
  vtkTimeSourceExample.cxx
  vtkTransformFilter.cxx
  vtkTransformPolyDataFilter.cxx
  vtkUncertaintyTubeFilter.cxx
  vtkVertexGlyphFilter.cxx
  vtkVolumeContourSpectrumFilter.cxx
  vtkVoxelContoursToSurfaceFilter.cxx
  vtkWarpLens.cxx
  vtkWarpScalar.cxx
  vtkWarpTo.cxx
  vtkWarpVector.cxx
  vtkYoungsMaterialInterface.cxx

  vtkMarchingContourFilter.cxx

  # Move to FiltersGeometry
  #vtkDataSetSurfaceFilter.cxx # Needs vtkStructuredGridGeometryFilter - Geometry

  vtkRectilinearGridToPointSet.cxx
  vtkGraphWeightEuclideanDistanceFilter.cxx
  vtkGraphWeightFilter.cxx
  vtkImageDataToPointSet.cxx
  vtkIntersectionPolyDataFilter.cxx
  vtkBooleanOperationPolyDataFilter.cxx
  vtkDistancePolyDataFilter.cxx

  vtkOverlappingAMRLevelIdScalars.cxx
  vtkExtractArray.cxx

  vtkMatricizeArray.cxx
  vtkNormalizeMatrixVectors.cxx
  vtkPassArrays.cxx
  vtkSplitColumnComponents.cxx
  vtkCellTreeLocator.cxx
  )

set_source_files_properties(
  vtkApproximatingSubdivisionFilter
  vtkDicer
  vtkGraphWeightFilter
  vtkInterpolatingSubdivisionFilter
  ABSTRACT
  )

vtk_module_library(vtkFiltersGeneral ${Module_SRCS})

=== Filters/Imaging/CMakeLists.txt ===
set(Module_SRCS
  vtkPairwiseExtractHistogram2D.cxx
  vtkExtractHistogram2D.cxx
  vtkComputeHistogram2DOutliers.cxx
  )

vtk_module_library(vtkFiltersImaging ${Module_SRCS})

=== Filters/ParallelGeometry/CMakeLists.txt ===
set(Module_SRCS
  vtkPDataSetGhostGenerator.cxx
  vtkPStructuredGridConnectivity.cxx
  vtkPStructuredGridGhostDataGenerator.cxx
  vtkPUniformGridGhostDataGenerator.cxx
  )

set_source_files_properties(
  vtkPDataSetGhostGenerator
  ABSTRACT
  )

vtk_module_library(vtkFiltersParallelGeometry ${Module_SRCS})

=== Filters/ParallelMPI/CMakeLists.txt ===
set(Module_SRCS
  vtkDistributedDataFilter.cxx
  )

vtk_module_library(vtkFiltersParallelMPI ${Module_SRCS})

=== Filters/Sources/CMakeLists.txt ===
set(Module_SRCS
  vtkArcSource.cxx
  vtkArrowSource.cxx
  vtkButtonSource.cxx
  vtkConeSource.cxx
  vtkCubeSource.cxx
  vtkCylinderSource.cxx
  vtkDiskSource.cxx
  vtkEllipticalButtonSource.cxx
  vtkFrustumSource.cxx
  vtkGlyphSource2D.cxx
  vtkHyperOctreeFractalSource.cxx
  vtkHyperTreeGridSource.cxx
  vtkLineSource.cxx
  vtkOutlineCornerFilter.cxx
  vtkOutlineCornerSource.cxx
  vtkOutlineSource.cxx
  vtkParametricFunctionSource.cxx
  vtkPlaneSource.cxx
  vtkPlatonicSolidSource.cxx
  vtkPointSource.cxx
  vtkProgrammableDataObjectSource.cxx
  vtkProgrammableSource.cxx
  vtkRectangularButtonSource.cxx
  vtkRegularPolygonSource.cxx
  #vtkRRandomTableSource.cxx # Should be in R kit
  #vtkSectorSource.cxx # Needs vtkRotationalExtrusionFilter
  vtkSelectionSource.cxx
  vtkSphereSource.cxx
  vtkSuperquadricSource.cxx
  vtkTessellatedBoxSource.cxx
  vtkTextSource.cxx
  vtkTexturedSphereSource.cxx
  vtkGraphToPolyData.cxx
  vtkDiagonalMatrixSource.cxx
  )

set_source_files_properties(
  vtkButtonSource
  ABSTRACT
  )

vtk_module_library(vtkFiltersSources ${Module_SRCS})

=== Filters/Statistics/CMakeLists.txt ===
set(Module_SRCS
  vtkAutoCorrelativeStatistics.cxx
  vtkBivariateLinearTableThreshold.cxx
  vtkContingencyStatistics.cxx
  vtkCorrelativeStatistics.cxx
  vtkDescriptiveStatistics.cxx
  vtkKMeansDistanceFunctorCalculator.cxx
  vtkKMeansDistanceFunctor.cxx
  vtkKMeansStatistics.cxx
  vtkMultiCorrelativeStatistics.cxx
  vtkOrderStatistics.cxx
  vtkPCAStatistics.cxx
  vtkStatisticsAlgorithm.cxx
  vtkStrahlerMetric.cxx
  vtkStreamingStatistics.cxx
  )

set_source_files_properties(
  vtkStatisticsAlgorithm.cxx
  ABSTRACT
)

vtk_module_library(vtkFiltersStatistics ${Module_SRCS})

=== debian/changelog ===
vtk6 (6.0.0-6) unstable; urgency=medium

  * [932d19c] Add some more entries in Depends section of libvtk6-dev.
              (Closes: #742629)
  * [efbf5d1] Fix VTKTargets.cmake. (Closes: #741927)
  * [7ee8293] Build instantiator. (Closes: #741928)

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Mar 2014 21:54:22 +0100

vtk6 (6.0.0-5) unstable; urgency=medium

  [ Anton Khirnov ]
  * [675402e] Fix libav10-compilation. (Closes: #739456)

  [ Anton Gladky ]
  * [5571d39] Add some depends for libvtk6-dev.
  * [1dbe2cf] Use /usr/bin/vtk instead /usr/bin/vtk6
  * [00730af] Add conflict of vtk6 with tcl-vtk.

 -- Anton Gladky <gladk@debian.org>  Wed, 12 Mar 2014 22:39:16 +0100

vtk6 (6.0.0-4) unstable; urgency=medium

  * [dac7bea] Declare python-vtk6 as conflicted with 
              python-vtk. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Fri, 07 Feb 2014 21:08:39 +0100

vtk6 (6.0.0-3) unstable; urgency=medium

  * [2c49a31] Rename vtkpython to vtk6python. (Closes: #737288)

 -- Anton Gladky <gladk@debian.org>  Wed, 05 Feb 2014 19:14:15 +0100

vtk6 (6.0.0-2) unstable; urgency=medium

  * [d293466] Move Build-Depends-Indep BD to Build-Depends.
  * [2cc14aa] Replace bin/vtk by bin/vtk6. (Closes: #737190)
  * [582a7f7] Rename vtk.jar on vtk6.jar. (Closes: #737189)
  * [052a215] Use wrap-and-sort.
  * [61d6f06] Remove conflict libvtk5 and libvtk6.

 -- Anton Gladky <gladk@debian.org>  Fri, 31 Jan 2014 20:45:06 +0100

vtk6 (6.0.0-1) unstable; urgency=low

  * Initial packaging for vtk6. (Closes: #729086)

 -- Anton Gladky <gladk@debian.org>  Tue, 07 Jan 2014 21:26:32 +0100

=== debian/control ===
Source: vtk6
Section: graphics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Build-Depends:
 chrpath,
 cmake (>= 2.8.5),
 debhelper (>= 9),
 default-jdk,
 dh-python,
 doxygen-latex,
 dpkg-dev (>= 1.16.1~),
 ftgl-dev,
 ghostscript,
 gnuplot-nox,
 graphviz,
 hdf5-tools,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libboost-all-dev,
 libdigest-md5-perl,
 libexpat-dev,
 libfreetype6-dev,
 libgdal-dev,
 libgl1-mesa-dev | libgl-dev,
 libgl2ps-dev,
 libglu1-mesa-dev | libglu-dev,
 libhdf5-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 libmrmpi-dev,
 libmysqlclient-dev,
 libnetcdf-dev,
 libogg-dev,
 libosmesa6-dev,
 libpng-dev,
 libpq-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libqtwebkit-dev,
 libsqlite3-dev,
 libswscale-dev,
 libtheora-dev,
 libtiff-dev,
 libx11-dev,
 libxml2-dev,
 libxpm-dev,
 libxt-dev,
 mpi-default-dev,
 pkg-config,
 python-all-dev (<< 2.8),
 python-all-dev (>= 2.7),
 python-matplotlib,
 python-mpi4py,
 r-base,
 r-base-core,
 r-base-dev,
 tcl8.6-dev,
 texlive-binaries,
 texlive-math-extra,
 tk8.6-dev,
 x11proto-core-dev,
 xauth,
 xvfb,
 zlib1g-dev
XS-Python-Version: current
Uploaders:
 Anton Gladky <gladk@debian.org>
Standards-Version: 3.9.5
Homepage: http://www.vtk.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/vtk6.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vtk6.git

Package: libvtk6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libvtk32,
 libvtk4,
 libvtk4c2,
 libvtk4c2a,
 libvtk5,
 libvtk5.8
Suggests:
 libvtk6-dev,
 openmpi-bin | lam-runtime,
 vtk6-doc,
 vtk6-examples
Section: libs
Description: Visualization Toolkit - A high level 3D visualization library - runtime
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 VTK enables users to concentrate on their work by providing a large
 number of excellent and feature packed high level functions that do
 visualization.  The library needs OpenGL to render the graphics and
 for Linux machines Mesa is necessary. The terms/copyright can be read
 in /usr/share/doc/vtk/README and README.html.  VTK-Linux-HOWTO has
 information about using vtk, getting documentataion or help and
 instructions on building VTK.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.
 .
 To compile C++ code that uses VTK you have to install libvtk5-dev.

Package: libvtk6-dev
Architecture: any
Conflicts:
 libvtk-dev,
 libvtk32-dev,
 libvtk4-dev,
 libvtk5-dev
Replaces:
 libvtk-dev,
 libvtk32-dev,
 libvtk4-dev,
 libvtk5-dev
Depends:
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libc6-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgdal-dev,
 libgl1-mesa-dev | libgl-dev,
 libgl2ps-dev,
 libglu1-mesa-dev | libglu-dev,
 libjpeg-dev,
 libjsoncpp-dev,
 libmysqlclient-dev,
 libnetcdf-dev,
 libogg-dev,
 libpng-dev,
 libpq-dev,
 libqt4-dev,
 libqtwebkit-dev,
 libswscale-dev,
 libtheora-dev,
 libtiff-dev,
 libvtk6 (= ${binary:Version}),
 libvtk6-java (= ${binary:Version}),
 libx11-dev,
 libxft-dev,
 libxml2-dev,
 libxss-dev,
 libxt-dev,
 mpi-default-dev,
 python-vtk6 (= ${binary:Version}),
 tcl-vtk6 (= ${binary:Version}),
 tcl8.6-dev,
 tk8.6-dev,
 vtk6 (= ${binary:Version}),
 x11proto-core-dev,
 zlib1g-dev,
 ${misc:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Section: libdevel
Description: VTK header files for building C++ code
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk6-java
Architecture: any
Depends:
 ${java:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 java-virtual-machine,
 libvtk6-dev (= ${binary:Version}),
 vtk6-doc,
 vtk6-examples
Section: java
Description: Visualization Toolkit - A high level 3D visualization library - java
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package provides the VTK Java language support.

Package: python-vtk6
Architecture: any
Conflicts: python-vtk
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests:
 mayavi2,
 vtk6-doc,
 vtk6-examples
XB-Python-Version: ${python:Versions}
Section: python
Description: Python bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries that enable one to use VTK from Python
 scripts.  You will need Python and vtk installed to use this. Some useful
 information may be available in /usr/share/doc/python-vtk/.

Package: tcl-vtk6
Architecture: any
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Section: interpreters
Description: Tcl bindings for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides the shared libraries and executable that enable one to use
 VTK from Tcl/Tk scripts. You will need Tcl/Tk and vtk installed to use
 this.

Package: vtk6
Architecture: any
Depends:
 libvtk6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 vtk6-doc,
 vtk6-examples
Conflicts:
 tcl-vtk
Section: interpreters
Description: Binaries for VTK6
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This provides binaries for VTK6

Package: vtk6-doc
Architecture: all
Depends:
 doc-base,
 ${misc:Depends}
Suggests:
 libvtk6-dev,
 vtk6-examples,
 vtk6data
Section: doc
Description: VTK class reference documentation
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains exhaustive HTML documentation for the all the
 documented VTK C++ classes.  The documentation was generated using
 doxygen and some excellent perl scripts from Sebastien Barre et. al.
 Please read the README.docs in /usr/share/doc/vtk-doc/ for details.
 The documentation is available under /usr/share/doc/vtk/html.

Package: vtk6-examples
Architecture: all
Suggests:
 libqt4-dev,
 libvtk6-dev,
 python,
 python-vtk6,
 tcl-vtk6,
 tclsh,
 vtk6-doc
Section: graphics
Depends:
 ${misc:Depends}
Description: C++, Tcl and Python example programs/scripts for VTK
 The Visualization Toolkit (VTK) is an object oriented, high level
 library that allows one to easily write C++ programs, Tcl, Python and
 Java scripts that do 3D visualization.
 .
 This package contains examples from the VTK source. To compile
 the C++ examples you will need to install the vtk-dev package as well.
 Some of them require the libqt4-dev package.
 .
 The Python and Tcl examples can be run with the corresponding packages
 (python-vtk, tcl-vtk).

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

# export JAVA_HOME to help FindJava.cmake and FindJNI.cmake
export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --with javahelper --parallel

# Module_vtkjsoncpp:BOOL=OFF as we use A. Gladky patch to use system jsoncpp 

extra_flags +=  \
 -DCMAKE_VERBOSE_MAKEFILE:BOOL=$(DH_VERBOSE) \
	-DBUILD_DOCUMENTATION=ON \
	-DBUILD_EXAMPLES=ON \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=OFF \
	-DVTK_USE_TK=ON \
	-DVTK_WRAP_JAVA=ON \
	-DVTK_WRAP_PYTHON=ON \
	-DVTK_WRAP_TCL=ON \
	-DVTK_USE_SYSTEM_EXPAT=ON \
	-DVTK_USE_SYSTEM_FREETYPE=ON \
	-DVTK_USE_SYSTEM_GL2PS=ON \
	-DVTK_USE_SYSTEM_HDF5=ON \
	-DVTK_USE_SYSTEM_JPEG=ON \
	-DVTK_USE_SYSTEM_LIBXML2=ON \
	-DVTK_USE_SYSTEM_OGGTHEORA=ON \
	-DVTK_USE_SYSTEM_PNG=ON \
	-DVTK_USE_SYSTEM_TIFF=ON \
	-DVTK_USE_SYSTEM_ZLIB=ON \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_Group_Imaging=ON \
	-DVTK_Group_MPI=ON \
	-DVTK_Group_Qt=ON \
	-DVTK_Group_Tk=ON \
	-DVTK_Group_Views=ON \
	-DVTK_BUILD_ALL_MODULES=ON \
	-DMPI_CXX_INCLUDE_PATH="/usr/include/mpi" \
	-DVTK_INSTALL_LIBRARY_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
	-DVTK_MAKE_INSTANTIATORS=ON \

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_link:
	cd $(CURDIR)/debian ; rm -f python-vtk6.links ; ./generate_links.sh $(DEB_HOST_MULTIARCH)
	dh_link -ptcl-vtk6 usr/lib/$(DEB_HOST_MULTIARCH)/libvtkViewsContextIIDTCL-6.0.so usr/lib/$(DEB_HOST_MULTIARCH)/libvtkViewsContext2DTCL.so
	dh_link

override_dh_auto_build:
	dh_auto_build
	# Make doc (see wiki/VTK/debian/buildingDoxygen)
	cd $(BUILDDIR) && make DoxygenDoc 

override_dh_auto_install:
	dh_auto_install -X.pyc -X.pyo
	# Modify vtkWrapJava.cmake to properly upload JavaDependencies.cmake.in	from $VTK_DIR
	perl -pi -e "s|{dir}/JavaDependencies.cmake.in\"|{VTK_DIR}/JavaDependencies.cmake.in\"|" debian/tmp/usr/lib/cmake/vtk-6.0/vtkWrapJava.cmake
	# Correct headers for paraview
	perl -pi.bak -e "s|cxx|include|g" ThirdParty/netcdf/vtk_netcdfcpp.h
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/vtk.jar $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/vtk6.jar
	mv $(CURDIR)/debian/build/bin/vtkpython $(CURDIR)/debian/build/bin/vtk6python
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/cmake/vtk-6.0/VTKTargets.cmake
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/cmake/vtk-6.0/VTKTargets-none.cmake
	
override_dh_shlibdeps:
	dh_shlibdeps -a -l /usr/lib/jvm/default-java/lib

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[\.\-]?((?:rc|RC|pre)(?:\.|-)?\d+(?:-\d+)?)$/$1~$2/ \
http://www.vtk.org/files/release/(\d+(?:\.\d+)*)/vtk(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
# Bart Martens <bartm@debian.org>  Sat, 18 May 2013 17:27:53 +0000

## vtk6 6.1.0%2Bdfsg2

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  graphviz,
  hdf5-tools,
  javahelper,
+ libalglib-dev,
  libavcodec-dev,
  libavformat-dev,
  libavutil-dev,
@@ -37,15 +38,20 @@
  libosmesa6-dev,
  libpng-dev,
  libpq-dev,
- libqt4-dev,
- libqt4-opengl-dev,
- libqtwebkit-dev,
+ qtbase5-dev [!armel !armhf],
+ libqt5webkit5-dev [!armel !armhf],
+ libqt5opengl5-dev [!armel !armhf],
+ qttools5-private-dev [!armel !armhf],
+ libqt4-dev [armel armhf],
+ libqt4-opengl-dev [armel armhf],
+ libqtwebkit-dev [armel armhf],
  libsqlite3-dev,
  libswscale-dev,
  libtheora-dev,
  libtiff-dev,
  libx11-dev,
  libxml2-dev,
+ libxdmf-dev,
  libxpm-dev,
  libxt-dev,
  mpi-default-dev,
@@ -57,7 +63,7 @@
  r-base,
  r-base-core,
  r-base-dev,
- tcl8.6-dev,
+ tcl-dev,
  texlive-binaries,
  texlive-math-extra,
  tk8.6-dev,
@@ -68,12 +74,13 @@
 XS-Python-Version: current
 Uploaders:
  Anton Gladky <gladk@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.vtk.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/vtk6.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/vtk6.git
-
-Package: libvtk6
+XS-Testsuite: autopkgtest
+
+Package: libvtk6.1
 Architecture: any
 Depends:
  ${misc:Depends},
@@ -84,10 +91,13 @@
  libvtk4c2,
  libvtk4c2a,
  libvtk5,
- libvtk5.8
+ libvtk5.8,
+ libvtk6
+Conflicts:
+ libvtk6 (>>6.0.0-7)
 Suggests:
  libvtk6-dev,
- openmpi-bin | lam-runtime,
+ mpi-default-bin,
  vtk6-doc,
  vtk6-examples
 Section: libs
@@ -126,6 +136,7 @@
  libavformat-dev,
  libavutil-dev,
  libc6-dev,
+ libeigen3-dev,
  libexpat-dev,
  libfreetype6-dev,
  libgdal-dev,
@@ -139,22 +150,24 @@
  libogg-dev,
  libpng-dev,
  libpq-dev,
+ libpython-dev,
  libqt4-dev,
+ libqt4-opengl-dev,
  libqtwebkit-dev,
  libswscale-dev,
  libtheora-dev,
  libtiff-dev,
- libvtk6 (= ${binary:Version}),
- libvtk6-java (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  libx11-dev,
  libxft-dev,
  libxml2-dev,
+ libxdmf-dev,
  libxss-dev,
  libxt-dev,
  mpi-default-dev,
  python-vtk6 (= ${binary:Version}),
  tcl-vtk6 (= ${binary:Version}),
- tcl8.6-dev,
+ tcl-dev,
  tk8.6-dev,
  vtk6 (= ${binary:Version}),
  x11proto-core-dev,
@@ -172,30 +185,11 @@
  This package provides the VTK header files required to compile
  C++ programs that use VTK to do 3D visualisation.
 
-Package: libvtk6-java
-Architecture: any
-Depends:
- ${java:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- java-virtual-machine,
- libvtk6-dev (= ${binary:Version}),
- vtk6-doc,
- vtk6-examples
-Section: java
-Description: Visualization Toolkit - A high level 3D visualization library - java
- The Visualization Toolkit (VTK) is an object oriented, high level
- library that allows one to easily write C++ programs, Tcl, Python and
- Java scripts that do 3D visualization.
- .
- This package provides the VTK Java language support.
-
 Package: python-vtk6
 Architecture: any
 Conflicts: python-vtk
 Depends:
- libvtk6 (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
@@ -217,7 +211,7 @@
 Package: tcl-vtk6
 Architecture: any
 Depends:
- libvtk6 (= ${binary:Version}),
+ libvtk6.1 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -236,14 +230,12 @@
 Package: vtk6
 Architecture: any
 Depends:
- libvtk6 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- vtk6-doc,
- vtk6-examples
-Conflicts:
- tcl-vtk
+ libvtk6.1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ vtk6-doc,
+ vtk6-examples
 Section: interpreters
 Description: Binaries for VTK6
  The Visualization Toolkit (VTK) is an object oriented, high level
@@ -256,6 +248,7 @@
 Architecture: all
 Depends:
  doc-base,
+ libjs-jquery,
  ${misc:Depends}
 Suggests:
  libvtk6-dev,
@@ -291,9 +284,5 @@
  library that allows one to easily write C++ programs, Tcl, Python and
  Java scripts that do 3D visualization.
  .
- This package contains examples from the VTK source. To compile
- the C++ examples you will need to install the vtk-dev package as well.
- Some of them require the libqt4-dev package.
- .
  The Python and Tcl examples can be run with the corresponding packages
- (python-vtk, tcl-vtk).
+ (python-vtk6, tcl-vtk6).
